### Hierarchy

- unknown
  - MockPayload

## Index

### Constructors

- constructor

### Methods

- getMessage
- getMessageVersion
- serializeBinary
- setMessage
- setMessageVersion
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MockPayload(): MockPayload

- Inherited from jspb.Message.constructor

  #### Returns MockPayload

## Methods

### getMessage

- getMessage(): string

- - Defined in src/protobuf/pb_pb.d.ts:8211

  #### Returns string

### getMessageVersion

- getMessageVersion(): string

- - Defined in src/protobuf/pb_pb.d.ts:8208

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:8214

  #### Returns Uint8Array

### setMessage

- setMessage(value: string): MockPayload

- - Defined in src/protobuf/pb_pb.d.ts:8212

  #### Parameters

  - ##### value: string

  #### Returns MockPayload

### setMessageVersion

- setMessageVersion(value: string): MockPayload

- - Defined in src/protobuf/pb_pb.d.ts:8209

  #### Parameters

  - ##### value: string

  #### Returns MockPayload

### toObject

- toObject(includeInstance?: boolean): MockPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8215

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MockPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MockPayload

- - Defined in src/protobuf/pb_pb.d.ts:8218

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MockPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MockPayload, reader: BinaryReader): MockPayload

- - Defined in src/protobuf/pb_pb.d.ts:8219

  #### Parameters

  - ##### message: MockPayload

  - ##### reader: BinaryReader

  #### Returns MockPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MockPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:8217

  #### Parameters

  - ##### message: MockPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MockPayload ): MockPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8216

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MockPayload

  #### Returns MockPayload . AsObject

Generated using TypeDoc